DocFlavor.SERVICE_FORMATTED (Java SE 22 & JDK 22)
Description: declaration: module: java.desktop, package: javax.print, class: DocFlavor, class: SERVICE_FORMATTED
Keywords: javax.print.DocFlavor.SERVICE_FORMATTED class

Module java.desktop
Package javax.print

# Class DocFlavor.SERVICE_FORMATTED

java.lang.Object
javax.print.DocFlavor
javax.print.DocFlavor.SERVICE_FORMATTED

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Enclosing class:
  `DocFlavor`

public static class DocFlavor.SERVICE_FORMATTED extends DocFlavor
Class `DocFlavor.SERVICE_FORMATTED` provides predefined static constant `DocFlavor` objects for example doc flavors for service formatted print data.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class javax.print.DocFlavor

  `DocFlavor.BYTE_ARRAY, DocFlavor.CHAR_ARRAY, DocFlavor.INPUT_STREAM, DocFlavor.READER, DocFlavor.SERVICE_FORMATTED, DocFlavor.STRING, DocFlavor.URL`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DocFlavor.SERVICE_FORMATTED`
  `PAGEABLE`
  Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Pageable"` (pageable object).
  `static final DocFlavor.SERVICE_FORMATTED`
  `PRINTABLE`
  Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Printable"` (printable object).
  `static final DocFlavor.SERVICE_FORMATTED`
  `RENDERABLE_IMAGE`
  Service formatted print data doc flavor with print data representation class name = `"java.awt.image.renderable.RenderableImage"` (renderable image object).

  ### Fields declared in class javax.print.DocFlavor

  `hostEncoding`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SERVICE_FORMATTED(String className)`
  Constructs a new doc flavor with a MIME type of `"application/x-java-jvm-local-objectref"` indicating service formatted print data and the given print data representation class name.

- ## Method Summary

  ### Methods declared in class javax.print.DocFlavor

  `equals, getMediaSubtype, getMediaType, getMimeType, getParameter, getRepresentationClassName, hashCode, toString`

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### RENDERABLE_IMAGE

    public static final DocFlavor.SERVICE_FORMATTED RENDERABLE_IMAGE
    Service formatted print data doc flavor with print data representation class name = `"java.awt.image.renderable.RenderableImage"` (renderable image object).

  - ### PRINTABLE

    public static final DocFlavor.SERVICE_FORMATTED PRINTABLE
    Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Printable"` (printable object).

  - ### PAGEABLE

    public static final DocFlavor.SERVICE_FORMATTED PAGEABLE
    Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Pageable"` (pageable object).

- ## Constructor Details

  - ### SERVICE_FORMATTED

    public SERVICE_FORMATTED(String className)
    Constructs a new doc flavor with a MIME type of `"application/x-java-jvm-local-objectref"` indicating service formatted print data and the given print data representation class name.
    Parameters:
      `className` - fully-qualified representation class name
    Throws:
      `NullPointerException` - if `className` is `null`